

/*
 * This is a template file. It defines integration functions necessary to complete RTA-BSW.
 * The integrator must complete the templates before deploying software containing functions defined in this file.
 * Once templates have been completed, the integrator should delete the #error line.
 * Note: The integrator is responsible for updates made to this file.
 *
 * To remove the following error define the macro NOT_READY_FOR_TESTING_OR_DEPLOYMENT with a compiler option (e.g. -D NOT_READY_FOR_TESTING_OR_DEPLOYMENT)
 * The removal of the error only allows the user to proceed with the building phase
 */
/* #ifndef NOT_READ#ifndef NOT_READY_FOR_TESTING_OR_DEPLOYMENTY_FOR_TESTING_OR_DEPLOYMENT
#error The content of this file is a template which provides empty stubs. The content of this file must be completed by the integrator accordingly to project specific requirements
#else
#warning The content of this file is a template which provides empty stubs. The content of this file must be completed by the integrator accordingly to project specific requirements
#endif */ /* NOT_READY_FOR_TESTING_OR_DEPLOYMENT */


#include "DcmDspObd_Mode1_Inf.h"
/*TESTCODE-START
#include "DcmTest.h"
TESTCODE-END*/
#if (DCM_CFG_DSPOBDSUPPORT_ENABLED != DCM_CFG_OFF)
	
FUNC(Std_ReturnType,DCM_APPL_CODE) DcmAppl_DcmDspPidData_01
                            (P2VAR(uint8,AUTOMATIC,DCM_INTERN_DATA) data_pu8)
{
	*data_pu8 = 0xBC;
	VAR(Std_ReturnType,AUTOMATIC) retVal = E_OK;
	
	return retVal;
}

/*OBD MODE 6 Request On Board Monitoring TestResults Service Call back Function  */
extern FUNC(Std_ReturnType,DCM_APPL_CODE) Dcm_ReadOBDMID_01 (
                                                P2VAR(uint16,AUTOMATIC,DCM_INTERN_DATA) testval,
                                                P2VAR(uint16,AUTOMATIC,DCM_INTERN_DATA) minval,
                                                P2VAR(uint16,AUTOMATIC,DCM_INTERN_DATA) maxval,
                                                P2VAR(DTRStatusType,AUTOMATIC,DCM_INTERN_DATA) status
                                                            )
{
	
	*testval = 0xFABC;
	*minval = 0xABAA;
	*maxval = 0xBCDE;
	*status = 0;
	VAR(Std_ReturnType,AUTOMATIC) retVal = E_OK;
	
	return retVal;
}

FUNC(Std_ReturnType,DCM_APPL_CODE) Dcm_ReadDataService09_Info01(VAR(Dcm_OpStatusType,AUTOMATIC) OpStatus,P2VAR(uint8,AUTOMATIC,DCM_INTERN_DATA) DataValueBuffer,P2VAR(uint8,AUTOMATIC,DCM_INTERN_DATA) DataValueBufferSize)
{
	
	VAR(Std_ReturnType,AUTOMATIC) retVal = E_OK;
	*DataValueBufferSize = 0x01;
	*DataValueBuffer = 0xAB;
	
	return retVal;
}

FUNC(Std_ReturnType,DCM_APPL_CODE) Dcm_ReadDataService09_Info22(VAR(Dcm_OpStatusType,AUTOMATIC) OpStatus,P2VAR(uint8,AUTOMATIC,DCM_INTERN_DATA) DataValueBuffer,P2VAR(uint8,AUTOMATIC,DCM_INTERN_DATA) DataValueBufferSize)
{
	
	VAR(Std_ReturnType,AUTOMATIC) retVal = E_OK;
	*DataValueBufferSize = 0x01;
	*DataValueBuffer = 0xCC;
	
	return retVal;
}

#endif
